Subject: Re: [Json] Scope: Wire format or runtime format?
From: "Martin J. Dürst" <[email-masked]>
To: Markus Lanthaler <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Jun 2013 10:59:21 +0900
List-Id: "JavaScript Object Notation \(JSON\) WG mailing list" <json.ietf.org>

On 2013/06/16 19:59, Markus Lanthaler wrote:
> On Sunday, June 16, 2013 12:43 PM, Stefan Drees wrote:
>> On 2013-06-16 01:33 +02:00, Tony Hansen wrote:
>>> On 6/15/2013 11:27 AM, Paul Hoffman wrote:
>>>> Why not both? RFC 4627 deals with both; why should the update change
>>>> to restrict that?
>>>
>>> I'm with Paul -- it needs to continue to do both.
>>>
>>> IMO, there's 1) the character-based definition of the JSON format, the
>>> one defined by the ABNF, and 2) an expression of that for over-the-wire
>>> use as an application/json entity. The bulk of this document should be
>>> focused on #1, and I think #2 can then be a fairly small section.
>>
>> I second that POV.

+1.

But as far as I understand, these two were not the two that Norbert was 
talking about in the mail that started this thread. (More on that in a 
separate mail.)

>> Until we started suggesting new titles for our
>> well-beloved RFC 4627, we all focused mostly on #1 and took #2 for
>> granted as necessary for hand-over "conventions".
>>
>> Please keep these two aspects together in one document, and ... just let
>> us **not** shoot too far over the approx. 2000 words RFC 4627 needed.
>> Most discussions - until now - convinced me that we will not be able to
>> really add that much to it, so many additional words will be considered
>> unreasonable and diluting.
>>
>> An additional document even worse, seems like complete overhead to me.
>
> +1

+1, at least as long as we haven't tried seriously with one document.

Regards,   Martin.